Bug 197490 - Web Inspector: Timelines: imported recordings do not have JavaScript call trees
Summary: Web Inspector: Timelines: imported recordings do not have JavaScript call trees
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-02 00:55 PDT by Devin Rousso
Modified: 2019-06-11 09:17 PDT (History)
6 users (show)

See Also:


Attachments
Patch (3.76 KB, patch)
2019-06-09 20:41 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2019-05-02 00:55:09 PDT
This makes exported recordings less useful, as severely inhibits the ability to track down performance issues in JavaScript (e.g. no timing information).
Comment 1 Radar WebKit Bug Importer 2019-05-08 11:30:34 PDT
<rdar://problem/50589157>
Comment 2 Radar WebKit Bug Importer 2019-05-08 11:30:34 PDT
<rdar://problem/50589158>
Comment 3 Devin Rousso 2019-06-09 20:41:01 PDT
Created attachment 371719 [details]
Patch
Comment 4 Devin Rousso 2019-06-09 20:42:43 PDT
Comment on attachment 371719 [details]
Patch

I'm not sure if this actually "fixes" the issue completely (e.g. there may be other changes, like all the `FIXME: CallFrames`, but with this change the "Call Trees" view is no longer empty :)
Comment 5 Joseph Pecoraro 2019-06-10 15:45:30 PDT
Comment on attachment 371719 [details]
Patch

r=me
Comment 6 WebKit Commit Bot 2019-06-10 16:15:47 PDT
Comment on attachment 371719 [details]
Patch

Clearing flags on attachment: 371719

Committed r246292: <https://trac.webkit.org/changeset/246292>
Comment 7 WebKit Commit Bot 2019-06-10 16:15:48 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Devin Rousso 2019-06-11 09:17:14 PDT
(In reply to Truitt Savell from comment #8)
> The changes in https://trac.webkit.org/changeset/246292/webkit
> 
> has broken inspector/timeline/timeline-recording.html
> 
> There are a lot of added lines in the diff. Did this test just need a rebasline?
> 
> History:
> http://webkit-test-results.webkit.org/dashboards/flakiness_dashboard. html#showAllRuns=true&tests=inspector%2Ftimeline%2Ftimeline-recording.html
> 
> Diff:
> https://build.webkit.org/results/Apple%20Mojave%20Release%20WK2%20(Tests)/r246309%20(4628)/inspector/timeline/timeline-recording-diff.txt

Committed r246317: <https://trac.webkit.org/r246317>